%define modname drizzle
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A94_%{modname}.ini

Summary:	Drizzle Database API for PHP
Name:		php-%{modname}
Version:	0.4.2
Release:	%mkrel 9
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/drizzle
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
Patch0:		drizzle-0.4.2-php5.4.patch
BuildRequires:	php-devel >= 3:5.2.1
BuildRequires:	dos2unix
BuildRequires:	libdrizzle-devel

%description
This extension uses libdrizzle library to provide API for communicating with
drizzle and mysql databases.

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p0
[ "../package.xml" != "/" ] && mv ../package.xml .

cp %{SOURCE1} %{inifile}

find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;

# strip away annoying ^M
# taking the option -U off the  xargs dos2unix -U as it is not a valid option anymore
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib}

%make
mv modules/*.so .

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog CREDITS README drizzle.php package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog

* Wed Jan 30 2013 oden <oden> 0.4.2-9.mga3
+ Revision: 393259
- rebuilt for php-5.4.11

* Sun Jan 13 2013 fwang <fwang> 0.4.2-8.mga3
+ Revision: 376538
- fix build with php 5.4

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.4.2-7.mga2
+ Revision: 223880
- httpd restart is handled by filetriggers now

* Thu Dec 22 2011 spuhler <spuhler> 0.4.2-6.mga2
+ Revision: 186207
- taking the option -U off the  xargs dos2unix -U as it is not a valid option anymore
  removing --enable-%%{modname}=shared,%%{_prefix} because it is not a valid option
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 0.4.2-5.mga1
+ Revision: 47820
- removed buildroot definition from .spec
- imported package php-drizzle

